From: "Alfredo Tupone" <tupone@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-geosciences/folium/files/, sci-geosciences/folium/
Date: Sun, 6 Nov 2022 09:02:05 +0000 (UTC) [thread overview]
Message-ID: <1667725313.b67cf9e8ddce230c61401fbe46b6aff19a5a59ff.tupone@gentoo> (raw)
commit: b67cf9e8ddce230c61401fbe46b6aff19a5a59ff
Author: Alfredo Tupone <tupone <AT> gentoo <DOT> org>
AuthorDate: Sun Nov 6 09:01:11 2022 +0000
Commit: Alfredo Tupone <tupone <AT> gentoo <DOT> org>
CommitDate: Sun Nov 6 09:01:53 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b67cf9e8
sci-geosciences/folium: add 0.13.0
Signed-off-by: Alfredo Tupone <tupone <AT> gentoo.org>
sci-geosciences/folium/Manifest | 1 +
.../folium/files/folium-0.13.0-gentoo.patch | 18 ++++++++++
sci-geosciences/folium/folium-0.13.0.ebuild | 41 ++++++++++++++++++++++
3 files changed, 60 insertions(+)
diff --git a/sci-geosciences/folium/Manifest b/sci-geosciences/folium/Manifest
index 696e7bd38655..55bac126f192 100644
--- a/sci-geosciences/folium/Manifest
+++ b/sci-geosciences/folium/Manifest
@@ -1 +1,2 @@
DIST folium-0.12.1.tar.gz 20033236 BLAKE2B 00e9fb369be9300ca04f9ba3fed18ca28a4985111ccd358312570773b80906df292e14a6f4acbd8ea7686f1b807017f729ad918b3b025af321faf5d7686333db SHA512 b19d2180c36160a370e6ab5ccfacf74ba7b735610d43e69a5200529c776e9c11ee42f4f7fa1ee54621f52b0f2e1fc1f86bc9a146c4a924831b12578643a69616
+DIST folium-0.13.0.tar.gz 19999296 BLAKE2B 4a774e36715c33e0c28a3fb4a8bffec21681ad9f1ffa617a39962f171e8ac28a55ba26aa6c7bc7c7e80f65d0ce5ef4e4c5edb5db0c166462a10adcd1d1b498ee SHA512 013707216e1e289f0ba3421c9db1d90f207ce41e7d05b6dc72c0f8f5a82dfe2ab4e0f3a797bbd6be65d2ee160722492e82082e38f93ad18507ed6409b41d009b
diff --git a/sci-geosciences/folium/files/folium-0.13.0-gentoo.patch b/sci-geosciences/folium/files/folium-0.13.0-gentoo.patch
new file mode 100644
index 000000000000..27152a456e05
--- /dev/null
+++ b/sci-geosciences/folium/files/folium-0.13.0-gentoo.patch
@@ -0,0 +1,18 @@
+--- a/setup.cfg 2022-11-06 09:51:58.139499881 +0100
++++ b/setup.cfg 2022-11-06 09:52:15.064237829 +0100
+@@ -1,13 +1,6 @@
+-[tool:pytest]
+-flake8-max-line-length = 121
+-flake8-ignore =
+- docs/* ALL
+-select = C,E,F,W,B,B950
+-ignore = E203, E501, W503
+-
+ [metadata]
+-description-file = README.md
+-license_file = LICENSE.txt
++description_file = README.md
++license_files = LICENSE.txt
+
+ [bdist_wheel]
+ universal = 1
diff --git a/sci-geosciences/folium/folium-0.13.0.ebuild b/sci-geosciences/folium/folium-0.13.0.ebuild
new file mode 100644
index 000000000000..bb5f97d66eb0
--- /dev/null
+++ b/sci-geosciences/folium/folium-0.13.0.ebuild
@@ -0,0 +1,41 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{8..10} )
+inherit distutils-r1
+
+DESCRIPTION="Python Data, Leaflet.js Maps"
+HOMEPAGE="https://github.com/python-visualization/folium"
+SRC_URI="https://github.com/python-visualization/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-0.12.1-scm.patch
+ "${FILESDIR}"/${P}-gentoo.patch
+)
+
+RDEPEND="sci-libs/branca[${PYTHON_USEDEP}]
+ dev-python/jinja[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ test? (
+ dev-python/pillow[${PYTHON_USEDEP}]
+ dev-python/pandas[${PYTHON_USEDEP}]
+ )"
+BDEPEND=""
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ rm -r tests/selenium || die
+ default
+}
+
+python_test() {
+ epytest -m 'not web'
+}
next reply other threads:[~2022-11-06 9:02 UTC|newest]
Thread overview: 5+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-11-06 9:02 Alfredo Tupone [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-12-26 23:02 [gentoo-commits] repo/gentoo:master commit in: sci-geosciences/folium/files/, sci-geosciences/folium/ Alfredo Tupone
2023-02-19 9:20 Alfredo Tupone
2021-08-28 15:16 Alfredo Tupone
2021-08-01 13:15 Alfredo Tupone
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1667725313.b67cf9e8ddce230c61401fbe46b6aff19a5a59ff.tupone@gentoo \
--to=tupone@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox